package com.yd.csf.service.service;

import com.yd.csf.service.dto.UserGradeDto;
import com.yd.csf.service.model.AgentAccumulatedFyc;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 业务员累计积分表 - 存储业务员的累计FYC积分和当前等级信息 服务类
 * </p>
 *
 * @author zxm
 * @since 2025-10-15
 */
public interface IAgentAccumulatedFycService extends IService<AgentAccumulatedFyc> {

    AgentAccumulatedFyc queryOne(String agentId);

    List<UserGradeDto> queryUserGradeList(List<String> userBizIdList);

    List<AgentAccumulatedFyc> queryList(List<String> agentIdList);

    List<AgentAccumulatedFyc> queryAll();
}
